loci.formats.in

## Class OperettaReader.Channel

- java.lang.Object
- - loci.formats.in.OperettaReader.Channel

- Enclosing class:
    OperettaReader

      class OperettaReader.Channel
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `acqType`
    `int` | `channelID`
    `java.lang.String` | `channelName`
    `java.lang.String` | `channelType`
    `double` | `emWavelength`
    `ome.units.quantity.Time` | `exposureTime`
    `double` | `exWavelength`
    `double` | `lensNA`
    `double` | `magnification`
    `java.lang.Double[][]` | `orientationMatrix`
    `double` | `resolutionX`
    `double` | `resolutionY`
    `int` | `x`
    `int` | `y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Channel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(OperettaReader.Plane p)` Copy data from this Channel to the given Plane.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### channelID

          public int channelID

    - #### channelName

          public java.lang.String channelName

    - #### acqType

          public java.lang.String acqType

    - #### channelType

          public java.lang.String channelType

    - #### resolutionX

          public double resolutionX

    - #### resolutionY

          public double resolutionY

    - #### x

          public int x

    - #### y

          public int y

    - #### emWavelength

          public double emWavelength

    - #### exWavelength

          public double exWavelength

    - #### magnification

          public double magnification

    - #### lensNA

          public double lensNA

    - #### exposureTime

          public ome.units.quantity.Time exposureTime

    - #### orientationMatrix

          public java.lang.Double[][] orientationMatrix

  - ### Constructor Detail

    - #### Channel

          Channel()

  - ### Method Detail

    - #### copy

          public void copy(OperettaReader.Plane p)

      Copy data from this Channel to the given Plane.

Copyright © 2026 Open Microscopy Environment